Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | PImage

Name

### copy()

Examples

    PImage img = loadImage("tower.jpg");
    img.copy(50, 0, 50, 100, 0, 0, 50, 100);
    image(img, 0, 0);

Description

Copies a region of pixels from one image into another. If the source and destination regions aren't the same size, it will automatically resize source pixels to fit the specified target region. No alpha information is used in the process, however if the source image has an alpha channel set, it will be copied as well.
The imageMode() function changes the way the parameters work. For example, a call to imageMode(CORNERS) will change the width and height parameters to define the x and y values of the opposite corner of the image.

Syntax

    img.copy(sx, sy, swidth, sheight, dx, dy, dwidth, dheight);
    img.copy(srcImg, sx, sy, swidth,  sheight, dx, dy, dwidth, dheight);

Parameters

img | PImage: any variable of type PImage
sx | int: X coordinate of the source's upper left corner
sy | int: Y coordinate of the source's upper left corner
swidth | int: source image width
sheight | int: source image height
dx | int: X coordinate of the destination's upper left corner
dy | int: Y coordinate of the destination's upper left corner
dwidth | int: destination image width
dheight | int: destination image height
srcImg | PImage: a image variable referring to the source image.

Usage | Web & Application
Related | alpha() blend()

Updated on February 09, 2008 04:38:53pm PST